Subject: Re: [PATCH 1/4 tip/sched/core] sched: rename preempt_notifier to sched_notifier and always enable it

From: Tejun Heo <[email-masked]>
Date: Fri, 27 Nov 2009 15:01:22 +0900

Hello,

11/27/2009 02:46 PM, Ingo Molnar wrote:
> Other code will benefit from it though, such as the page fault callbacks 
> i already mentioned.
> 
> My position on this is rather clear: i want no new callbacks and no 
> changes to callbacks in the scheduler until this situation is cleaned 
> up. Five callback sites are _way_ too much - so if you want to add 
> callbacks or change them, please clean it up and improve it first.

Even changes which cause no functional differences?  It's just
logistics at that point and I'll only be pushing the actual changes
(addition of wakeup/sleep callbacks) to linux-next so that different
stages of workqueue changes can receive some amount of testing.  If
you don't want that in sched development tree, I can maintain a
temporary branch for linux-next testing but I really can't see what
will be the benefit of doing things that way.

Thanks.

-- 
tejun